> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh Session



## OpenAPI

````yaml /api/openapi-finindex.json post /auth/refresh
openapi: 3.1.0
info:
  title: Finindex API — ERP · Finance · Accounting
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /auth/refresh:
    post:
      tags:
        - Authentication
      summary: Refresh Session
      operationId: refresh_session_auth_refresh_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RefreshTokenRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LoginResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    RefreshTokenRequest:
      properties:
        refresh_token:
          type: string
          title: Refresh Token
      type: object
      required:
        - refresh_token
      title: RefreshTokenRequest
    LoginResponse:
      properties:
        access_token:
          type: string
          title: Access Token
        refresh_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Refresh Token
        expires_in:
          anyOf:
            - type: integer
            - type: 'null'
          title: Expires In
        expires_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Expires At
        token_type:
          type: string
          title: Token Type
          default: bearer
        contact_id:
          type: string
          title: Contact Id
        client_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Client Id
        email:
          type: string
          title: Email
        role:
          type: string
          title: Role
        full_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Full Name
        nickname:
          anyOf:
            - type: string
            - type: 'null'
          title: Nickname
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
      type: object
      required:
        - access_token
        - contact_id
        - email
        - role
      title: LoginResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````